import request from '@/utils/request'

//保存基本信息接口
export function saveBaseInfo(data) {
    return request({
        url: "/h5/companion/staff/saveBaseInfo",
        method: 'post',
        headers: {"isToken": true},
        data
    })
}

// 查询单选题
export function getBasicQuestion() {
    return request({
        headers: {"isToken": true},
        url: "/h5/companion/staff/getBasicQuestion",
        method: 'get'
    })
}
// 查询单选题
export function getTrainQuestion() {
    return request({
        headers: {"isToken": true},
        url: "/h5/companion/staff/getTrainQuestion",
        method: 'get'
    })
}

/*
* 提交选择题答题结果
* */
export function submitBasic(data) {
    return request({
        url: "/h5/companion/staff/submitBasicCheckResult",
        method: 'post',
        headers: {"isToken": true},
        data
    })
}
/*
* 提交选择题答题结果
* */
export function submitTrainCheckAnswer(data) {
    return request({
        url: "/h5/companion/staff/submitTrainCheckAnswer",
        method: 'post',
        headers: {"isToken": true},
        data
    })
}